---
- name: "Create user {{gitlab_user_username}}"
  uri:
    url: "{{ gitlab_external_url }}/api/{{ gitlab_api_version }}/users"
    method: "POST"
    headers:
      PRIVATE-TOKEN: "{{ gitlab_admin_token }}"
    body: "name={{ gitlab_user_name }}&username={{ gitlab_user_username }}&\
      email={{ gitlab_user_email }}&password={{ gitlab_user_password }}&\
      skip_confirmation=true"
    body_format: raw
    validate_certs: "{{ gitlab_validate_certs }}"
    return_content: True
    status_code: 201
  #register: user_output
  changed_when: true
